#
# spec file for package perl-Sub-Quote
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Quote
Version:        2.005001
Release:        8.1
%define cpan_name Sub-Quote
Summary:        Efficient generation of subroutines via string eval
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Quote/
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.94
Recommends:     perl(Sub::Name) >= 0.08
%{perl_requires}

%description
This package provides performant ways to generate subroutines from strings.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Apr 21 2018 coolo@suse.com
- updated to 2.005001
  see /usr/share/doc/packages/perl-Sub-Quote/Changes
  2.005001 - 2018-04-20
  - add a workaround for test failures on early 5.8 releases with threads
* Wed Feb  7 2018 coolo@suse.com
- updated to 2.005000
  see /usr/share/doc/packages/perl-Sub-Quote/Changes
  2.005000 - 2018-02-06
  - fixed defer_info and undefer_sub from returning data for a deferred sub
    after it expires, even if the ref address matches
  - fixed defer_info not returning info for undeferred unnamed subs after the
    deferred sub expires
  - include options in defer_info return data
  - exclude internals from defer_info return data
  - document defer_info function
  - encode all utf8 flagged scalars as strings, since they generally will
    always have originated as strings.  Avoids future warning on bitwise ops
    on strings with wide characters.
  - more thorough check for threads availability to avoid needless test
    failures.
  - added file and line options to quote_sub to allow specifying apparent
    source location.
  - documented additional options to Sub::Defer::defer_sub and
    Sub::Quote::quote_sub.
* Fri Jun  9 2017 coolo@suse.com
- updated to 2.004000
  see /usr/share/doc/packages/perl-Sub-Quote/Changes
  2.004000 - 2017-06-07
  - more extensive quotify tests
  - split tests into separate files
  - propagate package to deferred subs, even if unnamed
  - reject invalid attributes
  - include line numbers compile errors (PR#1, djerius)
* Wed Jan 11 2017 coolo@suse.com
- initial package 2.003001
  * created by cpanspec 1.78.08
